org.springframework.data.mapping

## Enum AccessOptions.SetOptions.Propagation

- java.lang.Object
- - java.lang.Enum<AccessOptions.SetOptions.Propagation>
  - - org.springframework.data.mapping.AccessOptions.SetOptions.Propagation

All Implemented Interfaces:
  Serializable, Comparable<AccessOptions.SetOptions.Propagation>

Enclosing class:
  AccessOptions.SetOptions

    public static enum AccessOptions.SetOptions.Propagation
    extends Enum<AccessOptions.SetOptions.Propagation>

How to propagate setting values that cross collection and map properties.

Author:
  Oliver Drotbohm

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PROPAGATE` Propagate the setting of values when encountering a collection or map value and set it on all collection or map members.
`SKIP` Skip the setting of values when encountering a collection or map value within the path to traverse.

### Method Summary

All Methods Static Methods Concrete Methods
`static AccessOptions.SetOptions.Propagation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessOptions.SetOptions.Propagation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SKIP

    public static final AccessOptions.SetOptions.Propagation SKIP

Skip the setting of values when encountering a collection or map value within the path to traverse.

#### PROPAGATE

    public static final AccessOptions.SetOptions.Propagation PROPAGATE

Propagate the setting of values when encountering a collection or map value and set it on all collection or map members.

### Method Detail

#### values

    public static AccessOptions.SetOptions.Propagation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccessOptions.SetOptions.Propagation c : AccessOptions.SetOptions.Propagation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccessOptions.SetOptions.Propagation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null